package com.ruoyi.app.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 物料类别管理对象 app_goods_type
 * 
 * @author ruoyi
 * @date 2025-03-04
 */
public class AppGoodsType extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long typeId;

    /** 物料类别名称 */
    @Excel(name = "物料类别名称")
    private String typeName;

    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeName", getTypeName())
            .append("parentId", getParentId())
            .toString();
    }
}
